#include "exit_game.h"

void exit_game(s_game &game) {

   glDisable(GL_TEXTURE_2D);

   if(game.screen)
      SDL_FreeSurface(game.screen);

   if(game.text_surface_score)
      SDL_FreeSurface(game.text_surface_score);

   if(game.text_surface_clock)
      SDL_FreeSurface(game.text_surface_clock);

   if(game.font) {
      TTF_CloseFont(game.font);
      TTF_Quit();
   }

   Mix_CloseAudio();
   del_datas(game);

   SDL_VideoQuit();
   SDL_Quit();

   exit(0);
}
